$radius: 8px;

.table-container {
  width: 100%;
  border-radius: $radius;
  overflow: hidden;
  background: var(--table-bg);

  @media (min-width: 1367px) {
    width: 60vw;
    margin: auto;
  }

  .ng-scrollbar {
    width: inherit;
    height: 75vh;
    overflow: auto;

    @media screen and (max-width: 599px) {
      width: calc(100vw - 64px);
      height: 70vh;
    }
  }
}

.grid-container {
  width: 100%;
  border-radius: $radius;
  overflow: hidden;
  background: var(--table-bg);
  display: flex;
  flex-direction: column;
  height: calc(92vh - 64px);

  @media (min-width: 1367px) {
    width: 60vw;
    margin: auto;
  }

  .ng-scrollbar {
    width: inherit;
    overflow: auto;
    flex: 1;

    @media screen and (max-width: 599px) {
      width: calc(100vw - 64px);
    }
  }
}

mat-table {
  width: inherit;
  border-top-left-radius: $radius;
  border-top-right-radius: $radius;
}

mat-header-row {
  border-top-left-radius: $radius;
  border-top-right-radius: $radius;
}

mat-paginator {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0;
  border-bottom-left-radius: $radius;
  border-bottom-right-radius: $radius;
}

mat-table mat-header-row,
mat-table mat-row {
  justify-content: space-between;
}

mat-table mat-header-cell:last-of-type,
mat-table mat-cell:last-of-type {
  flex: 0 1 100px;

  @media screen and (max-width: 599px) {
    &:not(.mat-column-form) {
      padding-right: 0px;
    }
  }
}

.no-flex {
  flex: unset;
  margin-right: 16px;
  margin-left: 16px;
}

mat-table mat-cell.mat-column-form {
  flex: 1;

  @media screen and (max-width: 599px) {
    max-width: calc(100vw - 64px);
  }
}

mat-row.expandable {
  min-height: 0;

  > mat-cell > div {
    max-height: 0;
    transition: max-height 225ms cubic-bezier(0.4, 0, 0.2, 1);
    overflow: hidden;

    &.expanded {
      max-height: 110px;
      transition: max-height 225ms cubic-bezier(0.4, 0, 0.2, 1);
    }
  }
}

mat-table mat-row {
  justify-content: space-between;
}

mat-table.responsive {
  @media screen and (max-width: 599px) {
    min-width: 100vw;
  }
}

mat-row.next-expandable {
  border-bottom-width: 0;
}

.mat-icon-button.new-item {
  margin-left: 16px;
}

mat-header-cell:first-of-type {
  mat-icon {
    margin-right: 16px;
  }
}

mat-cell form {
  > div {
    padding: 8px;
    margin-top: 16px;
  }

  [type="submit"] {
    margin-top: 12px;
  }

  @media screen and (max-width: 599px) {
    > div {
      margin-bottom: 16px;
    }

    [type="submit"] {
      margin-top: 0px;
    }
  }
}
